# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hledger-lib

%global common_summary Core types and utilities for working with hledger data

%global common_description This is the reusable core of the hledger financial app; use \
it to build hledger and c++-ledger compatible finance tools.

Name:           ghc-%{pkg_name}
Version:        0.14
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        GPLv3
# BEGIN: cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
# END: cabal2spec

BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-HUnit-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-old-locale-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-regexpr-prof
BuildRequires:  ghc-safe-prof
BuildRequires:  ghc-split-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-utf8-string-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN: cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END: cabal2spec

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif

%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Mon Oct  3 2011 Jens Petersen <petersen@redhat.com> - 0.14-2
- BR ghc-*-prof not devel

* Sat Jul 09 2011 Ben Boeckel <mathstuf@gmail.com> - 0.14-1
- Update to 0.14 and cabal2spec-0.24

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.13-1
- Update to 0.13

* Fri Dec 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12.98-1
- Update to snapshot (0.12.98)

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12.1-1
- Update to 0.12.1

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 0.12-1
- Update to 0.12

* Fri Sep 03 2010 Ben Boeckel <mathstuf@gmail.com> - 0.11.1-1
- Initial package

* Fri Sep  3 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.11.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
